<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <title>Use of Drap & Drop to files managment</title>
  <script src="js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script src="js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      if (!Modernizr.draganddrop && !window.FileList)
        alert("Your browser dosen't support the API File and Drang & Drop")

      $("#drop_zone").bind({ // With bind we can associate one or more events to one element
        "drop": dropManagment,
        "dragover": dragOverManagment
      });

      function dragOverManagment(e) {
        e.stopPropagation();
        e.preventDefault();
      }

      function dropManagment(e) {
        e.stopPropagation();
        e.preventDefault();

        //JQuery wrap the original event
        var dataTransfer = e.dataTransfer || (e.originalEvent && e.originalEvent.dataTransfer);
        var files = e.target.files || (dataTransfer && dataTransfer.files); 

        $("#out").html("");

        for (var i = 0; i <= files.length; i++){
          var info = "<p>Name: " + files[i].name + ", Size: " + files[i].size + ", MIME Type: " + files[i].type + "</p>";
          $("#out").append(info);
        }
      }
    })
  </script>
</head>
<body>
  <header>
    <h1>Use of Drap & Drop to files managment</h1>
  </header>
  <section>
    <p>Drop your files here:</p>
    <div id="drop_zone"></div>
    <p>Results:</p>
    <div class="" id="out"></div>
  </section>
</body>